/* ----------------------------------------------------------------
	Custom CSS

	Add all your Custom Styled CSS here for New Styles or
	Overwriting Default Theme Styles for Better Handling Updates
-----------------------------------------------------------------*/

body {
	font-family: "Raleway", serif;
}

html {
	scroll-snap-type: y mandatory;
	scroll-padding-top: 40px
}
.mobileview {
	display: none !important
}
@media (max-width: 770px) {
	.mobileview {
		display: block !important
	}
}
.item-scroll {
	scroll-snap-align: start;
}

:root {
	--cnvs-themecolor: #9931ee;
	--cnvs-animation-header-color: #9931ee;
	--cnvs-themecolor-transparent: #af31ee8f;
	--cnvs-animation-header-color-rgb: 153, 49, 238;
	--cnvs-themecolor-rgb: 96, 17, 139, 0.718;
	--cnvs-themecolor-dark: #171716;

	--cnvs-primary-font: "Raleway", serif;
	--cnvs-content-padding: 2rem;
}

.form-control {
	--cnvs-input-focus-border-color: #9931ee;

}

/* section {
    display: none;
    opacity: 0;
    transition: opacity 1s ease-in-out;
}

section.fade-in {
    opacity: 1;
} */
.source-sans {
	font-family: "Raleway", sans-serif;
	font-optical-sizing: auto;
	font-style: normal;
}

.Lato {
	font-family: "Raleway", sans-serif;
	font-optical-sizing: auto;
	font-style: normal;
}

.schibsted-grotesk {
	font-family: "Schibsted Grotesk", serif;
	font-optical-sizing: auto;
	font-weight: 400;
	font-style: normal;
}

.roboto-flex {
	font-family: "Roboto Flex", serif;
	font-optical-sizing: auto;
	font-weight: 400;
	font-style: normal;
	font-variation-settings:
		"slnt" 0,
		"wdth" 100,
		"GRAD" 0,
		"XOPQ" 96,
		"XTRA" 468,
		"YOPQ" 79,
		"YTAS" 750,
		"YTDE" -203,
		"YTFI" 738,
		"YTLC" 514,
		"YTUC" 712;
}

.raleway {
	font-family: "Raleway", serif;
	font-optical-sizing: auto;
	font-weight: 400;
	font-style: normal;
}

.menu-item:hover .menu-link {
	box-shadow: none;
}

.menu-item:hover a div {
	font-weight: 600;
}

@media only screen and (max-width: 640px) {
	.logobg {
		width: 100%;
	}
}

.darkgrey {
	color: #5F6774;
}

.colorOne {
	color: #9931ee !important;
}

.colorTwo {
	color: #3c0f68bd;
}

.colorThree {
	color: #260a42bd;
}

.colorFour {
	color: #1d0726;
}

.colorDark {
	/* color: #343a40; */
	color: #171716;
}

.colorOneBg {
	background-color: #9931ee;
}

.colorTwoBg {
	background-color: #3c0f68bd;
}

.colorThreeBg {
	background-color: #260a42bd;
}

.darkgreyBg {
	background-color: #5F6774;
}

.colorDarkBg {
	/* background-color: #343a40!important; */
	background-color: #171716 !important;
	
}
.linearBg {
	background-color: #171716 !important;
	background-image:
        repeating-linear-gradient(0deg, rgba(255, 255, 255, 0.2) 0px, rgba(255, 255, 255, 0.2) 1px, transparent 1px, transparent 100px),
        repeating-linear-gradient(90deg, rgba(255, 255, 255, 0.2) 0px, rgba(255, 255, 255, 0.2) 1px, transparent 1px, transparent 100px);
    background-size: 100px 100px;
	background-attachment: fixed;
	
}
.team-person {
	display: flex;
	flex-direction: column;
	align-items: center;
}

.person-container {
	border-radius: 50%;
	height: 312px;
	-webkit-tap-highlight-color: transparent;
	transform: scale(0.48);
	transition: transform 250ms cubic-bezier(0.4, 0, 0.2, 1);
	width: 400px;
}

.person-container:hover {
	transform: scale(0.54);
}

.person-container-inner {
	position: relative;
	clip-path: path("M 390,400 C 390,504.9341 304.9341,590 200,590 95.065898,590 10,504.9341 10,400 V 10 H 200 390 Z");
	transform-origin: 50%;
	top: -200px;
}

.person-circle {
	border-radius: 50%;
	cursor: pointer;
	height: 380px;
	left: 10px;
	pointer-events: none;
	position: absolute;
	top: 210px;
	width: 380px;
}

.person-img {
	pointer-events: none;
	position: relative;
	transform: translateY(20px) scale(1.16);
	transform-origin: 50% bottom;
	transition: transform 300ms cubic-bezier(0.4, 0, 0.2, 1);
	width: 380px;
	left: 22px;
	top: 164px;
}

.person-container:hover .person-img {
	transform: translateY(0) scale(1.2);
}

.person-divider {
	height: 1px;
	width: 160px;
}


.block-tab-4 .nav-link {
	padding-top: 20px;
	padding-bottom: 20px;
	font-weight: 500;
	color: #303030;
	transition: none;
}


.block-tab-4 .nav-link.active,
.block-tab-4 .tab-pane {
	color: #FFF;
	background-color: #3c0f68bd;
}

.block-tab-4 .nav-link:nth-child(2).active,
.block-tab-4 .tab-pane:nth-child(2) {
	background-color: #260a42bd;
}

.block-tab-4 .nav-link:nth-child(3).active,
.block-tab-4 .tab-pane:nth-child(3) {
	background-color: #60118bb7;
}

.borderrounded {
	border-top-right-radius: 5px;
	border-top-left-radius: 5px;
}


.float {
	position: fixed;
	width: 60px;
	height: 60px;
	bottom: 40px;
	right: 40px;
	background-color: #303030;
	color: #FFF;
	border-radius: 50px;
	text-align: center;
	display: flex;
	align-items: center;
	justify-content: center;
	z-index: 99999999;
}


.float:hover {
	color: #727272 !important;
}

.my-float:hover {
	color: #727272 !important;
}

.buttoncontactmobile {
	background-color: #303030 !important;
}

.buttoncontactmobile:hover {
	background-color: #3c0f68bd !important;
}

.button-one {
	--cnvs-btn-color: #60118bb7;
}

.button-one.button-3d:hover,
.button-one.button-reveal:hover,
.button-one.button-border:hover {
	--cnvs-btn-color: #60118bb7 !important;
}

.button-one.button-border.button-fill::before {
	background-color: #60118bb7;
}

.button-one.button-action {
	--cnvs-btn-action-border-color: #60118bb7;
}

.button-border.button-one,
.button-border.button-light.button-one {
	color: #60118bb7;
	border-color: #60118bb7;
}

.button-two {
	--cnvs-btn-color: #3c0f68bd;
}

.button-two.button-3d:hover,
.button-two.button-reveal:hover,
.button-two.button-border:hover {
	--cnvs-btn-color: #3c0f68bd !important;
}

.button-two.button-border.button-fill::before {
	background-color: #3c0f68bd;
}

.button-two.button-action {
	--cnvs-btn-action-border-color: #3c0f68bd;
}

.button-border.button-two,
.button-border.button-light.button-two {
	color: #3c0f68bd;
	border-color: #3c0f68bd;
}

.button-three {
	--cnvs-btn-color: #260a42bd;
}

.button-three.button-3d:hover,
.button-three.button-reveal:hover,
.button-three.button-border:hover {
	--cnvs-btn-color: #260a42bd !important;
}

.button-three.button-border.button-fill::before {
	background-color: #260a42bd;
}

.button-three.button-action {
	--cnvs-btn-action-border-color: #260a42bd;
}

.button-border.button-three,
.button-border.button-light.button-three {
	color: #260a42bd;
	border-color: #260a42bd;
}

.button-darkgray {
	--cnvs-btn-color: #303030;
}

.button-darkgray.button-3d:hover,
.button-darkgray.button-reveal:hover,
.button-darkgray.button-border:hover {
	--cnvs-btn-color: #303030 !important;
}

.button-darkgray.button-border.button-fill::before {
	background-color: #303030;
}

.button-darkgray.button-action {
	--cnvs-btn-action-border-color: #303030;
}

.button-border.button-darkgray,
.button-border.button-light.button-darkgray {
	color: #303030;
	border-color: #303030;
}

.button-lightgray {
	--cnvs-btn-color: #727272;
}

.button-lightgray.button-3d:hover,
.button-lightgray.button-reveal:hover,
.button-lightgray.button-border:hover {
	--cnvs-btn-color: #727272 !important;
}

.button-lightgray.button-border.button-fill::before {
	background-color: #727272;
}

.button-lightgray.button-action {
	--cnvs-btn-action-border-color: #727272;
}

.button-border.button-lightgray,
.button-border.button-light.button-lightgray {
	color: #727272;
	border-color: #727272;
}


@media only screen and (max-width: 640px) {
	.logomobile {
		width: 20% !important;
		height: 20% !important;
		margin-left: 15px !important;
	}

	.menuitemmobile {
		color: #303030 !important;
		font-size: large;
	}

	.buttonmobilecontact {
		background-color: white !important;
		margin: 0 !important;
		padding: 0 !important;
	}

	.logovideomobile {
		height: 80% !important;
		width: 80% !important;
	}

	.textvideomobile {
		font-size: 40px;
	}

	.sectionmobile {
		padding: 3rem;
	}

	.contactformmobile {
		position: relative;
	}

	.rightsmobile {
		display: flex;
		justify-content: center;
	}

	.buttoncontactmobile {
		display: flex;
	}

	.textmobile {
		font-size: medium !important;
	}

	.contactinfommobile {
		margin-bottom: 2rem !important;
	}

	.optionsmenumobile {
		padding: 1rem !important;
	}

	#navmenuhide {
		display: none !important;
	}

	.positionmobilemenu {
		position: fixed;
		width: 100%;
		left: 0 !important;
	}

}
@media only screen and (max-width: 800px) {
    .primary-menu {
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 100vh;
        background: rgba(0, 0, 0, 0.9); /* Fondo oscuro con transparencia */
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        opacity: 0;
        visibility: hidden;
        transition: opacity 0.3s ease-in-out, visibility 0.3s ease-in-out;
    }

    .primary-menu.open {
        opacity: 1;
        visibility: visible;
    }

    .menu-container {
        display: flex;
        flex-direction: column;
        gap: 20px;
        text-align: center;
    }

    .primary-menu-trigger {
        position: fixed;
        top: 15px;
        right: 15px;
        z-index: 1000;
    }

    .primary-menu a {
        font-size: 1.5rem;
        color: white;
    }
	.primary-menu-trigger .cnvs-hamburger-inner {
		transition: all 0.3s ease-in-out;
	}
	
	.primary-menu-trigger.active .cnvs-hamburger-inner {
		transform: rotate(45deg);
	}
	
	.primary-menu-trigger.active .cnvs-hamburger-box::before {
		transform: rotate(-45deg) translate(5px, 5px);
	}
	
	.primary-menu-trigger.active .cnvs-hamburger-box::after {
		transform: rotate(-45deg) translate(-5px, -5px);
	}
}


body {
	background-color: #171716 !important;
	overflow-x: hidden;
	/* Esto oculta el desplazamiento horizontal */
	background-image:
        repeating-linear-gradient(0deg, rgba(255, 255, 255, 0.2) 0px, rgba(255, 255, 255, 0.2) 1px, transparent 1px, transparent 100px),
        repeating-linear-gradient(90deg, rgba(255, 255, 255, 0.2) 0px, rgba(255, 255, 255, 0.2) 1px, transparent 1px, transparent 100px);
    background-size: 100px 100px;
}

.textmenu {
	color: rgb(47, 47, 47);
	font-weight: 600;
	font-size: 15px;
}

.block-hero-9 .slide-1,
.block-hero-9 .swiper-pagination span:nth-child(1) {
	--color: #3c0f68bd;
}

.block-hero-9 .slide-2,
.block-hero-9 .swiper-pagination span:nth-child(2) {
	--color: #260a42bd;
}

.block-hero-9 .slide-3,
.block-hero-9 .swiper-pagination span:nth-child(3) {
	--color: #60118bb7;
}

.block-hero-9 .slide-4,
.block-hero-9 .swiper-pagination span:nth-child(4) {
	--color: #3c0f68bd;
}

.block-hero-9 .swiper-horizontal>.swiper-pagination-bullets,
.block-hero-9 .swiper-pagination-custom,
.block-hero-9 .swiper-pagination-fraction {
	left: auto;
	right: 0;
}

.block-hero-9 .swiper-pagination {
	padding: 4px 6px;
	width: auto;
}

.block-hero-9 .swiper-pagination span:hover,
.block-hero-9 .swiper-pagination span.swiper-pagination-bullet-active {
	background-color: var(--color) !important;
}

.block-hero-9 .swiper-pagination span {
	border-color: var(--color) !important;
}

.raleway-thin {
	font-family: "Raleway", serif;
	font-weight: 100;
	font-style: normal;
}

.raleway-light {
	font-family: "Raleway", serif;
	font-weight: 300;
	font-style: normal;
}

.raleway-regular {
	font-family: "Raleway", serif;
	font-weight: 400;
	font-style: normal;
}

.raleway-bold {
	font-family: "Raleway", serif;
	font-weight: 700;
	font-style: normal;
}

.raleway-black {
	font-family: "Raleway", serif;
	font-weight: 900;
	font-style: normal;
}

.raleway-thin-italic {
	font-family: "Raleway", serif;
	font-weight: 100;
	font-style: italic;
}

.raleway-light-italic {
	font-family: "Raleway", serif;
	font-weight: 300;
	font-style: italic;
}

.raleway-regular-italic {
	font-family: "Raleway", serif;
	font-weight: 400;
	font-style: italic;
}

.raleway-bold-italic {
	font-family: "Raleway", serif;
	font-weight: 700;
	font-style: italic;
}

.raleway-black-italic {
	font-family: "Raleway", serif;
	font-weight: 900;
	font-style: italic;
}

.lato-thin {
	font-family: "Lato", serif;
	font-weight: 100;
	font-style: normal;
}

.lato-light {
	font-family: "Lato", serif;
	font-weight: 300;
	font-style: normal;
}

.lato-regular {
	font-family: "Lato", serif;
	font-weight: 400;
	font-style: normal;
}

.lato-bold {
	font-family: "Lato", serif;
	font-weight: 700;
	font-style: normal;
}

.lato-black {
	font-family: "Lato", serif;
	font-weight: 900;
	font-style: normal;
}

.lato-thin-italic {
	font-family: "Lato", serif;
	font-weight: 100;
	font-style: italic;
}

.lato-light-italic {
	font-family: "Lato", serif;
	font-weight: 300;
	font-style: italic;
}

.lato-regular-italic {
	font-family: "Lato", serif;
	font-weight: 400;
	font-style: italic;
}

.lato-bold-italic {
	font-family: "Lato", serif;
	font-weight: 700;
	font-style: italic;
}

.lato-black-italic {
	font-family: "Lato", serif;
	font-weight: 900;
	font-style: italic;
}

.blurred {
	filter: blur(5px);
	/* Ajusta el nivel de desenfoque en píxeles */
}

.botoncontacto {
	background-color: #9931ee;
	color: white;
	border: none;
}

/* .botoncontacto:hover {
	background-color: #ffffff;
	color: #9931ee;
} */

.blue {
	color: #3c0f68bd;
}

.bluedark {
	color: #260a42bd;
}

.bluelight {
	color: #60118bb7;
}

.bluewhite {
	color: #1633d4;
}

.iconoinicio {
	color: #260a42bd;
	font-size: xx-large;
}

.banner {
	width: 100%;
	/* Ocupa todo el ancho del contenedor */
	height: 500px;
	/* Ajusta la altura como desees */
	overflow: hidden;
	/* Oculta las partes sobrantes de la imagen */
}

.banner img {
	width: 100%;
	/* La imagen se ajusta al ancho del contenedor */
	height: 100%;
	/* Se asegura de cubrir la altura definida */
	object-fit: cover;
	/* Mantiene el aspecto y recorta si es necesario */
}

.block-card-9 .grid-inner .btn-hover {
	opacity: 0;
	display: block;
	transition: opacity .3s ease, transform .3s .1s ease;
	margin-top: 15px;
	position: absolute;
	transform: translateY(0);
}

.block-card-9 .grid-inner:hover .btn-hover {
	opacity: 1;
	transform: translateY(-5px);
}

.block-card-9 .grid-inner .grid-image {
	position: absolute;
	left: 0;
	top: 0;
	width: 100%;
	height: 100%;
	background-size: cover;
	background-position: center center;
}

.block-card-9 .grid-inner:hover .grid-image {
	-webkit-animation: kenburns 20s ease-out both;
	animation: kenburns 20s ease-out both;
}

.block-card-9 .grid-inner .grid-icon,
.block-card-9 .grid-inner .grid-content {
	transition: transform .3s ease;
}

.block-card-9 .grid-inner:hover .grid-content {
	transform: translateY(-45px);
}

.block-card-9 .grid-inner:hover .grid-icon {
	transform: translateY(-5px);
}

@-webkit-keyframes kenburns {
	0% {
		-webkit-transform: scale(1) translate(0, 0);
		transform: scale(1) translate(0, 0);
		-webkit-transform-origin: 84% 84%;
		transform-origin: 84% 84%;
	}

	100% {
		-webkit-transform: scale(1.25) translate(20px, 15px);
		transform: scale(1.25) translate(20px, 15px);
		-webkit-transform-origin: right bottom;
		transform-origin: right bottom;
	}
}

@keyframes kenburns {
	0% {
		-webkit-transform: scale(1) translate(0, 0);
		transform: scale(1) translate(0, 0);
		-webkit-transform-origin: 84% 84%;
		transform-origin: 84% 84%;
	}

	100% {
		-webkit-transform: scale(1.25) translate(20px, 15px);
		transform: scale(1.25) translate(20px, 15px);
		-webkit-transform-origin: right bottom;
		transform-origin: right bottom;
	}
}

.block-hero-20 {
	--color: #60118bb7;
	--color-secondary: 237, 237, 237;
}

.block-hero-20 h1,
.block-hero-20 h2,
.block-hero-20 h3,
.block-hero-20 h4,
.block-hero-20 h5,
.block-hero-20 h6,
.block-hero-20 p,
.block-hero-20 a,
.block-hero-20 .color {
	font-family: 'Playfair Display', serif !important;
	color: var(--color) !important;
}

.block-hero-20 .bg-color {
	background-color: var(--color) !important;
}

.block-hero-20 .fbox-icon i {
	background-color: #ffffff;
	color: var(--color);
}

html,
body {
	margin: 0;
	padding: 0;
	overflow-x: hidden;
	/* Evita que el contenido desborde horizontalmente */
	width: 100%;
	/* Asegura que el cuerpo no exceda el ancho de la ventana */
	box-sizing: border-box;
	scroll-padding-top: 40px
	/* Aplica el modelo de caja para evitar desbordamientos por padding/borders */
}

.process-steps {
	display: flex;
	justify-content: space-between;
	align-items: center;
	width: 100%;
	position: relative;
	margin: 0;
}

.step {
	text-align: center;
}

/* Línea de progreso sólida y centrada */
.progress-line {
	position: absolute;
	top: 70%;
	left: 50%;
	width: 86%;
	height: 5px;
	background-color: white;
	z-index: 0;
	transform: translateX(-50%);
}

/* Estilos de los círculos */
.step-circle {
	width: 40px;
	height: 40px;
	border-radius: 50%;
	display: flex;
	align-items: center;
	justify-content: center;
	margin: auto;
	position: relative;
	z-index: 1;
}

.icon-step {
	display: none
}

.text-step {
	font-size: 16px;
}

/* Corrousel Amenities, Tipologias*/
.carrousel-computer {
	display: inline-block;
}

.carrousel-mobile {
	display: none
}

/* Cambiar a vista vertical en móviles */
@media (max-width: 768px) {
	.process-steps {
		flex-direction: column;
		align-items: center;
		justify-content: space-between;
	}

	.step {
		width: 100%;
		justify-content: flex-start;
		text-align: start;
		display: flex;
		flex-direction: row;
		align-items: center;
		margin-top: 5%;
	}

	.icon-step {
		display: inline-block;
		zoom: 3;
		margin-right: 5%;
		/* O flex si es necesario */
	}

	.text-step {
		padding: 0;
		margin-top: 8%;
	}

	.step-circle {
		display: none;
	}

	.progress-line {
		display: none;
	}

	/* Corrousel Amenities, Tipologias*/
	.carrousel-computer {
		display: none
	}

	.carrousel-mobile {
		display: inline-block;
	}
}


/* Círculos blancos */
.completed {
	background-color: white;
}

/* Último círculo transparente con borde blanco */
.last-step {
	border: 3px solid white;
}

/* PROJECTS - Slider sitios de interes
  -----------------------------------------------------------------*/
/* Estilos para el slider */
/* Estilos para el overlay */
.bg-overlay {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background: linear-gradient(to bottom, rgba(0, 0, 0, 0.3) 0%, #21053dbd 100%);
	/*background: rgba(0, 0, 0, 0.5); /* Fondo semitransparente */
}

.bg-overlay-content-custom {
	position: absolute;
	bottom: 40px;
	/* Distancia desde la parte inferior */
	left: 40px;
	/* Distancia desde la izquierda */
	color: white;
	/* Color del texto */
	display: flex;
	flex-direction: column;
	/* Alinea el título y subtítulo en columna */
	align-items: flex-start;
	/* Alinea a la izquierda */
	justify-content: end
		/* Alinea al fondo */
}

/* Estilos para el título */
.slide-title {
	/* Tamaño grande para el título */
	margin: 0;
	line-height: 1.2;
	/* Espaciado entre líneas */
}

/* Estilos para el subtítulo */
.slide-subtitle {
	font-size: 24px;
	/* Tamaño grande para el subtítulo */
	margin: 0;
	line-height: 1.2;
	/* Espaciado entre líneas */
}

.block-hero-20 .fbox-icon i {
	background-color: #ffffff;
	color: var(--color);
}

html,
body {
	margin: 0;
	padding: 0;
	overflow-x: hidden;
	/* Evita que el contenido desborde horizontalmente */
	width: 100%;
	/* Asegura que el cuerpo no exceda el ancho de la ventana */
	box-sizing: border-box;
	scroll-padding-top: 40px
	/* Aplica el modelo de caja para evitar desbordamientos por padding/borders */
}

.copyright-links a {
	border-bottom: none !important;
}



/* ANIMATION HEADER */
/* Header */
/* Ajuste para que el canvas cubra toda la sección */
.large-header {
	position: relative;
	width: 100%;
	height: 90vh;
	overflow: hidden;
	background: --cnvs-themecolor-dark;
	/* Color de fondo por si la animación no carga */
}

#demo-canvas {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 90%;
	z-index: 0;
	/* Lo ponemos detrás del texto */
}

/* Texto centrado en la sección */
.text-container {
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	text-align: center;
	z-index: 1;
	/* Asegura que el texto quede por encima de la animación */
	color: white;
}

.main-title {
	font-size: 6em;
	font-weight: bold;
	letter-spacing: 1rem;
	text-transform: uppercase;
}
@media (max-width: 769px) {

	.main-title {
		font-size: 2.8em;
		letter-spacing: 0.8rem;
	}
}
.thin {
	font-weight: 200;
}

.text-rotater {
	font-size: 1.5em;
	font-weight: normal;
}

/* PARTICLES HEADER */
/* canvas{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100svh;
    /* background-color: red; */
/* } */
/* 
header{
    position: relative;
    height: 60px;
    width: 100%;
    display: flex;
    align-items: center;
    background: black;
}

header h1{
    font-size: 1rem;
}

.hero {
    position: relative;
    height: calc(100svh - 60px);
}

.hero h1{
    position: absolute;
    bottom: 2rem;
    left: 2rem
} */
/* MY SERVICES */

/* TIKER */
.ticker-container {
	overflow: hidden;
	background: var(--cnvs-themecolor-dark);
	padding: 10px 0;
	position: relative;
	width: 100%;
}

.ticker-content {
	display: flex;
	gap: 50px;
	width: max-content;
	/* Ensures it can keep scrolling */
	animation: ticker 60s linear infinite;
}

/* Duplicate items for infinite loop effect */
.ticker-content::after {
	content: "";
	display: flex;
}

/* Ticker Items */
.ticker-item {
	display: flex;
	flex-direction: column;
	align-items: center;
	text-align: center;
	color: white;
}

.ticker-item i {
	width: 50px;
	height: 50px;
	font-size: 2rem;
}

/* Smooth Infinite Scroll */
@keyframes ticker {
	from {
		transform: translateX(0);
	}

	to {
		transform: translateX(-50%);
	}
}

.ticker-container:hover .ticker-content {
	animation-play-state: paused;
}

/* Assign unique classes to each card */
/* Asegurar que la card crezca con los iconos */
.services-box {
	transition: all 5s ease-in-out;
	cursor: pointer;
}

.services-box:hover {
	position: relative;
}

.services-box:hover::after {
	content: "";
	position: absolute;
	bottom: 0;
	left: 50%;
	/* Start from the middle */
	transform: translateX(-50%);
	/* Center it */
	width: 95%;
	height: 3px;
	/* Adjust thickness */
	background-color: var(--cnvs-themecolor);
}

.icon-container {
	display: none;
}
.desktop-element {
	display: block !important;
}


/* Si necesitas ocultarlo en desktops estrictamente */
@media (min-width: 769px) {
	.icon-container {
		display: none !important;
	}
}
.bg-black-gradient {
    background: linear-gradient(to bottom right, black 0%, #1c1a1c 50%, #111011 100%);
}
/* BOTON IDIOMA */
.leng-button {
	position: absolute;
	bottom: 50%;
	right: 4rem;
	color: white;
	font-size: 16px;
	text-decoration: none;
	background: transparent;
	border: none;
	cursor: pointer;
	transition: opacity 0.3s ease;
	transform: rotate(90deg); /* Rotates the text */
    transform-origin: right bottom; /* Keeps rotation aligned */
}

.leng-button:hover {
	opacity: 0.8;
}

@media (max-width: 769px) {

	.leng-button {
		bottom: 5%;
	}
}
/* SPINNER */
#loading-spinner {
    display: none;
    text-align: center;
}

.spinner {
    border: 4px solid #f3f3f3;
    border-top: 4px solid var(--cnvs-themecolor);
    border-radius: 50%;
    width: 50px;
    height: 50px;
	margin-left: 40%;
    animation: spin 2s linear infinite;
}

@keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}
/* PORTFOLIO */

/* CARDS PROYECTOS */
@media (max-width: 992px) {

	/* Para tablets y móviles */
	.btn-hover {
		opacity: 1 !important;
		visibility: visible !important;
		
	}

	
	#portfolio .grid-content {
		margin-bottom: 4rem !important;
	}
}
/* PRICING */
/* Flip Cards */

